Create or Update Secrets
Create or update a secret set and its values
Authorizations
Authentication requires a Pipecat Cloud Private API token.
Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.
Path Parameters
Name of the secret set to create or update
3 - 63^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$Body
- Option 1
- Option 2
Array of secret key-value pairs
1The region where the secret set will be created. If not specified, defaults to the organization's default region. Secrets must be in the same region as the agents that use them. Cannot be changed after creation.
"us-west"
Response
Secret set accepted. Values have been stored and the set is being provisioned into the target region in the background. Poll GET /secrets/{setName} until status is ready before binding it to a deploy.